Subject: [regext] Review of draft-lozano-rdap-nameservers-sharing-name-01

From: Rik Ribbers <[email-masked]>
Date: Thu, 21 Jul 2016 10:28:59 +0000

All,

I did a review of draft-lozano-rdap-nameservers-sharing-name-01.

Hereby my comments:

1) In Section 3 the conformance level is specified. Is there a specific reason not to add a version (_0) at the end? It would make it more consistent with rap_level_0 
2) In Section 6 I would like to see an example response of the request. I assume that you would get a normal name server response like in section 4
3) In Section 6 there is a sentence ”The <handle> parameter represents a nameserver identifier whose syntax is specific to the registration provider.” Can you clarify what is meant by registration provider. For EPP in the specification there is no words on registry,registrar. It simply states that there is communication between a server and a client. 

4) I really don’t like the custom path (/nameserver_handle) 

You are creating a new resource/object (whatever terminoligy you prefer), but If I understand it correctly you want te ability to query nameservers based on a roid. 

So I would expect it on de namerserver resources:  GET /nameserver/ROID123 (nok) 

This has the issue that this wil result in a search for the name of the name server. However there are several ways of solving this in REST

GET /nameserver/ROID123?filter=roid
GET /nameserver/roid/ROID123

For searching nameservers on roid I would expect something like this.

GET /nameservers?roid=ROID123

5) Where are with de adoption of this document. I thought it was not (yet) accepted. For me point 4 is quite important and we might want to discuss first how we are going to handle the extension of RDAP. I prefer to say very close to the REST principle but we would need consensus of the WG on that part.

Gr,
Rik